[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dummy packages and "Replaces:" field


Roberto C. Sanchez schrieb:

> Someone recommended that I use dummy packages of iceme and icepref that
> depend on icewmcp.  But, if I also make icewmcp Replace and Conflict
> with iceme and icepref, will that not cause problems (since the new
> dummy versions of iceme and icepref will depend on icewmpc)?

I might be horribly wrong with this, but I dimly remember that in the
case that the dummy package depends on a package that conflicts and
provides the dummy, apt will not upgrade with "upgrade" and switch over
to the new package on "dist-upgrade".


Reply to: